package m05bAsignacionEJB;

import java.rmi.RemoteException;
import javax.ejb.*;
import m05bBD.m05bAsignacion;


/**
 * This is the Remote Interface for the Entity EJB <tt>M05AsignacionEB</tt>.
 *
 * @see     m05.exe.Asignacion 
 * @see     m05.exe.M05AsignacionEBHome
 * @see     m05.exe.M05AsignacionEBPK
 * @see     m05.exe.M05AsignacionEBBean
 */
public interface m05Asignacion extends EJBObject{

  public String getAsi_codigo()throws RemoteException;  
  public void setAsi_codigo(String n)throws RemoteException;  
  
  public String getAsi_matricula()throws RemoteException;  
  public void setAsi_matricula(String n)throws RemoteException;  
  
  public String getAsi_dni()throws RemoteException;  
  public void setAsi_dni(String n)throws RemoteException;  

  public String getAsi_fsolicitud()throws RemoteException;
  public void setAsi_fsolicitud(String n)throws RemoteException;

  public String getAsi_fdesde()throws RemoteException;
  public void setAsi_fdesde(String n)throws RemoteException;
  
  public String getAsi_fhasta()throws RemoteException;
  public void setAsi_fhasta(String n)throws RemoteException;

  public String getAsi_fdevolucion()throws RemoteException;
  public void setAsi_fdevolucion(String n)throws RemoteException;

  public String getAsi_kmsalida()throws RemoteException;  
  public void setAsi_kmsalida(String n)throws RemoteException;  

  public String getAsi_kmllegada()throws RemoteException;  
  public void setAsi_kmllegada(String n)throws RemoteException;  

  public String getAsi_kmrecorridos()throws RemoteException;  
  public void setAsi_kmrecorridos(String n)throws RemoteException;  

  public String getAsi_finalizada()throws RemoteException;  
  public void setAsi_finalizada(String n)throws RemoteException;  

  public String getAsi_orden()throws RemoteException;  
  public void setAsi_orden(String n)throws RemoteException;  

  public String getAsi_impreso()throws RemoteException;  
  public void setAsi_impreso(String n)throws RemoteException;  

  public String getAsi_fimpresion()throws RemoteException;
  public void setAsi_fimpresion(String n)throws RemoteException;
  
  public String getAsi_fdecreto()throws RemoteException;
  public void setAsi_fdecreto(String n)throws RemoteException;

  public String getAsi_fentrega()throws RemoteException;
  public void setAsi_fentrega(String n)throws RemoteException;

  public String getAsi_decreto()throws RemoteException;  
  public void setAsi_decreto(String n)throws RemoteException;  

  public String getAsi_entrega()throws RemoteException;  
  public void setAsi_entrega(String n)throws RemoteException;  

  public String getAsi_descdpto()throws RemoteException;  
  public void setAsi_descdpto(String n)throws RemoteException;  

  public String getAsi_coddpto()throws RemoteException;  
  public void setAsi_coddpto(String n)throws RemoteException;  

  public String getAsi_permanente()throws RemoteException;  
  public void setAsi_permanente(String n)throws RemoteException;  

  public String getAsi_codcargo()throws RemoteException;  
  public void setAsi_codcargo(String n)throws RemoteException;  

  public String getAsi_codrango()throws RemoteException;  
  public void setAsi_codrango(String n)throws RemoteException;

  public String getAsi_observaciones()throws RemoteException;
  public void setAsi_observaciones(String n)throws RemoteException;  


  /**
   * Returns the Asignacion information of this E-EJB.
   */   
  public m05bAsignacion getAsignacion()
    throws RemoteException;


}	